# TMCColorRGBAIndex Class Reference
[MCCore]

Inheritance diagram for TMCColorRGBAIndex:

List of all members.

## Public Member Functions
| TMCColorRGBAIndex (void)
| TMCColorRGBAIndex (const TMCColorRGBA &color, const real32 index)
| TMCColorRGBAIndex (const real32 rr, const real32 gg, const real32 bb, const real32 aa, const real32 ii)
void | Set (const real32 rr, const real32 gg, const real32 bb, const real32 aa, const real32 ii)
void | Set (const TMCColorRGBA &color, const real32 index)
boolean | IsEqual (const TMCColorRGBAIndex &rhs, const real32 epsilon=0.0) const
void | Interpolate (const TMCColorRGBAIndex &from, const TMCColorRGBAIndex &to, const real32 interpolant)
void | Interpolate (const TVector2 &interpolants, const TMCColorRGBAIndex &lowerLeft, const TMCColorRGBAIndex &lowerRight, const TMCColorRGBAIndex &upperLeft, const TMCColorRGBAIndex &upperRight)
boolean | operator== (const TMCColorRGBAIndex &rhs) const
boolean | operator!= (const TMCColorRGBAIndex &rhs) const
TMCColorRGBAIndex & | operator= (const TMCColorRGBAIndex &c)
TMCColorRGBAIndex & | operator= (const int32 i)
## Public Attributes
TMCColorRGBA | fColor
real32 | fIndex

## Detailed Description

TMCColorRGBAIndex is a TMCColorRGBA with an associated index It can be used as a pMap parameter and be animated.
kColorRGBAIndexParamType is its paramType value.
kColorRGBAIndexValueType is its valueType value.

It is used by TMCGradient

## Constructor & Destructor Documentation

TMCColorRGBAIndex::TMCColorRGBAIndex | ( | void |  | ) | `[inline]`

TMCColorRGBAIndex::TMCColorRGBAIndex | ( | const TMCColorRGBA & | color,
|  | const real32 | index |
| ) |  |  | `[inline]`

TMCColorRGBAIndex::TMCColorRGBAIndex | ( | const real32 | rr,
|  | const real32 | gg,
|  | const real32 | bb,
|  | const real32 | aa,
|  | const real32 | ii |
| ) |  |  | `[inline]`

## Member Function Documentation

void TMCColorRGBAIndex::Interpolate | ( | const TVector2 & | interpolants,
|  | const TMCColorRGBAIndex & | lowerLeft,
|  | const TMCColorRGBAIndex & | lowerRight,
|  | const TMCColorRGBAIndex & | upperLeft,
|  | const TMCColorRGBAIndex & | upperRight |
| ) |  |  |

void TMCColorRGBAIndex::Interpolate | ( | const TMCColorRGBAIndex & | from,
|  | const TMCColorRGBAIndex & | to,
|  | const real32 | interpolant |
| ) |  |  |

boolean TMCColorRGBAIndex::IsEqual | ( | const TMCColorRGBAIndex & | rhs,
|  | const real32 | epsilon = `0.0` |
| ) |  |  | const

boolean TMCColorRGBAIndex::operator!= | ( | const TMCColorRGBAIndex & | rhs | ) | const`[inline]`

TMCColorRGBAIndex& TMCColorRGBAIndex::operator= | ( | const int32 | i | ) | `[inline]`

TMCColorRGBAIndex & TMCColorRGBAIndex::operator= | ( | const TMCColorRGBAIndex & | c | ) | `[inline]`

boolean TMCColorRGBAIndex::operator== | ( | const TMCColorRGBAIndex & | rhs | ) | const`[inline]`

void TMCColorRGBAIndex::Set | ( | const TMCColorRGBA & | color,
|  | const real32 | index |
| ) |  |  | `[inline]`

void TMCColorRGBAIndex::Set | ( | const real32 | rr,
|  | const real32 | gg,
|  | const real32 | bb,
|  | const real32 | aa,
|  | const real32 | ii |
| ) |  |  | `[inline]`

## Member Data Documentation

TMCColorRGBA TMCColorRGBAIndex::fColor

real32 TMCColorRGBAIndex::fIndex

The documentation for this class was generated from the following file:

- MCColorRGBAIndex.h